# ErrorDeliveryUtil (sshj 0.7.0 API)
Date: 2012-01-08

## net.schmizz.concurrent
Class ErrorDeliveryUtil

    java.lang.Object
      net.schmizz.concurrent.ErrorDeliveryUtil

    public class ErrorDeliveryUtil

extends Object

Constructor Summary
`ErrorDeliveryUtil()`

Method Summary
`static void` `alertEvents(Throwable x, Collection<? extends Event> events)`
`static void` `alertEvents(Throwable x, Event... events)`
`static void` `alertPromises(Throwable x, Collection<? extends Promise> promises)`
`static void` `alertPromises(Throwable x, Promise... promises)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorDeliveryUtil

    public ErrorDeliveryUtil()

Method Detail

### alertPromises

    public static void alertPromises(Throwable x,
                                     Promise... promises)

### alertPromises

    public static void alertPromises(Throwable x,
                                     Collection<? extends Promise> promises)

### alertEvents

    public static void alertEvents(Throwable x,
                                   Event... events)

### alertEvents

    public static void alertEvents(Throwable x,
                                   Collection<? extends Event> events)

Copyright © 2009-2012. All Rights Reserved.